/*
 * defs.h
 *
 * Created: 2014-02-05 15:44:59
 *  Author: dsosnowski
 */ 


#ifndef DEFS_H_
#define DEFS_H_

//---PORTB------------------
#define RST_PIN		3
#define IN1_PIN		2		//L
#define X2_PIN		1
#define X1_PIN		0

//---PORTA------------------
#define DTA_PIN		7		
#define IN2_PIN		6		//L
#define MISO_PIN	5
#define SCK_PIN		4
#define LED2_PIN	3		//H
#define OUT2_PIN	2		//H
#define LED1_PIN	1		//H
#define OUT1_PIN	0		//H


#define LED1_SET	PORTA |= (1<<LED1_PIN)
#define LED1_OFF	PORTA &= ~(1<<LED1_PIN)
#define LED2_SET	PORTA |= (1<<LED2_PIN)
#define LED2_OFF	PORTA &= ~(1<<LED2_PIN)
#define LEDS_OFF	PORTA &= ~(1<<LED1_PIN | 1<<LED2_PIN)

#define OUT1_SET	PORTA |= (1<<OUT1_PIN)
#define OUT1_OFF	PORTA &= ~(1<<OUT1_PIN)
#define OUT2_SET	PORTA |= (1<<OUT2_PIN)
#define OUT2_OFF	PORTA &= ~(1<<OUT2_PIN)
#define OUTS_OFF	PORTA &= ~(1<<OUT1_PIN | 1<<OUT2_PIN)

#define IN1_GET		(PINB & (1<<IN1_PIN))
#define IN2_GET		(PINA & (1<<IN2_PIN))
#define OUT1_GET	(PORTA & (1<<OUT1_PIN))
#define OUT2_GET	(PORTA & (1<<OUT2_PIN))

#define DTA_GET		(PINA & (1<<DTA_PIN))	




#endif /* DEFS_H_ */