/*
 * defs.h
 *
 * Created: 2013-11-07 09:40:00
 *  Author: dsosnowski
 */ 


#ifndef DEFS_H_
#define DEFS_H_


//#define PORTB
#define RESET_PIN			3
#define DTA_PIN				2
#define SW1_PIN				1
#define SW2_PIN				0

#define GET_SW1				(PINB & (1<<SW1_PIN))
#define GET_SW2				(PINB & (1<<SW2_PIN))
#define DTA_SET				(PORTB |= (1<<DTA_PIN))
#define DTA_OFF				(PORTB &= ~(1<<DTA_PIN))

//#define PORTA
#define NC_PIN				7
#define RXD_PIN				6
#define TXD_PIN				5
#define SCK_PIN				4
#define ADR0_PIN			3
#define LEDG_PIN			2
#define LEDR_PIN			1
#define VBAT_PIN			0

#define LEDG_SET			(PORTA |= (1<<LEDG_PIN))
#define LEDG_OFF			(PORTA &= ~(1<<LEDG_PIN))
#define LEDR_SET			(PORTA |= (1<<LEDR_PIN))
#define LEDR_OFF			(PORTA &= ~(1<<LEDR_PIN))
#define LEDS_OFF			(PORTA &= ~(1<<LEDG_PIN | 1<<LEDR_PIN))

#define SW_1				1
#define SW_2				2


#endif /* DEFS_H_ */